libmwawOLE::AllocTable Class Reference

## Public Member Functions

| AllocTable ()
void | clear ()
unsigned long | count () const
void | resize (unsigned long newsize)
void | set (unsigned long index, unsigned long val)
std::vector< unsigned long > | follow (unsigned long start) const
unsigned long | operator[] (unsigned long index) const
void | load (const unsigned char *buffer, unsigned len)
void | setChain (std::vector< unsigned long > chain, unsigned end)
void | save (unsigned char *buffer) const
unsigned | saveSize () const

## Public Attributes

unsigned | m_blockSize

## Private Member Functions

| AllocTable (const AllocTable &)
AllocTable & | operator= (const AllocTable &)

## Private Attributes

std::vector< unsigned long > | m_data

## Constructor & Destructor Documentation

libmwawOLE::AllocTable::AllocTable | ( |  | ) |

inline

libmwawOLE::AllocTable::AllocTable | ( | const AllocTable & |  | ) |

private

## Member Function Documentation

void libmwawOLE::AllocTable::clear | ( |  | ) |

unsigned long libmwawOLE::AllocTable::count | ( |  | ) | const

inline

Referenced by follow(), load(), save(), saveSize(), and set().

std::vector< unsigned long > libmwawOLE::AllocTable::follow | ( | unsigned long | start | ) | const

Referenced by libmwawOLE::IStream::IStream(), and libmwawOLE::IStorage::load().

void libmwawOLE::AllocTable::load | ( | const unsigned char * | buffer,
|  | unsigned | len
| ) |  |

inline

Referenced by libmwawOLE::IStorage::load().

AllocTable& libmwawOLE::AllocTable::operator= | ( | const AllocTable & |  | ) |

private

unsigned long libmwawOLE::AllocTable::operator[] | ( | unsigned long | index | ) | const

inline

void libmwawOLE::AllocTable::resize | ( | unsigned long | newsize | ) |

inline

Referenced by AllocTable(), load(), libmwawOLE::OStorage::newBBlock(), libmwawOLE::OStorage::newSBlock(), and set().

void libmwawOLE::AllocTable::save | ( | unsigned char * | buffer | ) | const

inline

Referenced by libmwawOLE::OStorage::updateToSave().

unsigned libmwawOLE::AllocTable::saveSize | ( |  | ) | const

inline

Referenced by libmwawOLE::OStorage::updateToSave().

void libmwawOLE::AllocTable::set | ( | unsigned long | index,
|  | unsigned long | val
| ) |  |

inline

Referenced by load(), setChain(), and libmwawOLE::OStorage::updateToSave().

void libmwawOLE::AllocTable::setChain | ( | std::vector< unsigned long > | chain,
|  | unsigned | end
| ) |  |

Referenced by libmwawOLE::OStorage::insertData(), and libmwawOLE::OStorage::updateToSave().

## Member Data Documentation

unsigned libmwawOLE::AllocTable::m_blockSize

Referenced by libmwawOLE::IStorage::addDebugInfo(), libmwawOLE::IStorage::IStorage(), libmwawOLE::IStorage::load(), libmwawOLE::IStorage::markDebug(), and libmwawOLE::IStream::read().

std::vector<unsigned long> libmwawOLE::AllocTable::m_data

private

Referenced by count(), follow(), operator[](), resize(), save(), and set().

The documentation for this class was generated from the following file:

- MWAWOLEStream.cxx